| QxOrm 1.4.6 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions
qx::QxBoostSerializeRegisterHelper< T > Class Template Reference

`#include <QxBoostSerializeRegisterHelper.h>`

Inheritance diagram for qx::QxBoostSerializeRegisterHelper< T >:

List of all members.

## Public Member Functions
| QxBoostSerializeRegisterHelper (const QString &sKey)
virtual | ~QxBoostSerializeRegisterHelper ()
virtual void | helper () const
## Private Member Functions
template<class Archive >
void | private_helper (Archive &ar) const
void | private_helper () const

## Detailed Description

### template<class T>
class qx::QxBoostSerializeRegisterHelper< T >

Definition at line 50 of file QxBoostSerializeRegisterHelper.h.

## Constructor & Destructor Documentation

template<class T >

qx::QxBoostSerializeRegisterHelper< T >::QxBoostSerializeRegisterHelper | ( | const QString & | sKey | ) | `[inline]`

Definition at line 55 of file QxBoostSerializeRegisterHelper.h.

template<class T >

virtual qx::QxBoostSerializeRegisterHelper< T >::~QxBoostSerializeRegisterHelper | ( |  | ) | `[inline, virtual]`

Definition at line 56 of file QxBoostSerializeRegisterHelper.h.

## Member Function Documentation

template<class T >

virtual void qx::QxBoostSerializeRegisterHelper< T >::helper | ( |  | ) | const`[inline, virtual]`

Implements qx::IxBoostSerializeRegisterHelper.

Definition at line 58 of file QxBoostSerializeRegisterHelper.h.

template<class T >
template<class Archive >

void qx::QxBoostSerializeRegisterHelper< T >::private_helper | ( | Archive & | ar | ) | const`[inline, private]`

Definition at line 95 of file QxBoostSerializeRegisterHelper.h.

template<class T >

void qx::QxBoostSerializeRegisterHelper< T >::private_helper | ( |  | ) | const`[inline, private]`

Definition at line 102 of file QxBoostSerializeRegisterHelper.h.

The documentation for this class was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxSerialize/QxBoostSerializeHelper/QxBoostSerializeRegisterHelper.h